Межсайтовый скриптинг в LiveCart

Дата публикации:
09.01.2008
Дата изменения:
06.02.2008
Всего просмотров:
1135
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
LiveCart 1.x
Уязвимые версии: LiveCart 1.0.1, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "return" в сценариях user/remindPassword и order, в параметре "q" в сценарии category, в параметре "return" в order и в параметре "email" в сценарии user/remindComplete. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Пример:

http://[host]/user/remindPassword?return=XSS
http://[host]/category?id=1&q=XSS
http://[host]/order?return=order/XSS
http://[host]/user/remindComplete?email=XSS

URL производителя: livecart.com

Решение: Установите последнюю версию 1.1.0 с сайта производителя.

Журнал изменений:

06.02.2008
Обновлена секция «Решение».

или введите имя

CAPTCHA